<?php

namespace App\Enums;

enum EventType: string
{
    case Tournament = 'tournament';
    case Competition = 'competition';
    case Qualifier = 'qualifier';
    case CommunityEvent = 'community_event';
    case OneVsOne = 'one_vs_one';
    case TeamCompetition = 'team_competition';
    case OnlineEvent = 'online_event';
    case OfflineEvent = 'offline_event';

    public function label(): string
    {
        return match ($this) {
            self::Tournament => __('enums.event_type.tournament'),
            self::Competition => __('enums.event_type.competition'),
            self::Qualifier => __('enums.event_type.qualifier'),
            self::CommunityEvent => __('enums.event_type.community_event'),
            self::OneVsOne => __('enums.event_type.one_vs_one'),
            self::TeamCompetition => __('enums.event_type.team_competition'),
            self::OnlineEvent => __('enums.event_type.online_event'),
            self::OfflineEvent => __('enums.event_type.offline_event'),
        };
    }
}
